/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include "../context.hpp"
#include "../gfx.hpp"

#include "../core.hpp"

namespace nostalgia::core {

ox::Error initGfx(Context *ctx, const InitParams&) noexcept;

ox::Result<ox::UniquePtr<Context>> init(turbine::Context *tctx, const InitParams &params) noexcept {
	ox::UPtr<Context> ctx = ox::make_unique<Context>();
	ctx->turbineCtx = tctx;
	oxReturnError(initGfx(ctx.get(), params));
	return ctx;
}

}