/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/memory.hpp>

#include <nostalgia/core/studio/module.hpp>
#include <nostalgia/scene/studio/module.hpp>

namespace nostalgia {

[[maybe_unused]] // GCC warns about the existence of this "unused" inline list in a header file...
ox::Vector<std::function<ox::UPtr<studio::Module>()>> BuiltinModules = {
		[]() -> ox::UPtr<studio::Module> {
			return ox::UPtr<studio::Module>(new core::StudioModule());
		},
		[]() -> ox::UPtr<studio::Module> {
			return ox::UPtr<studio::Module>(new scene::StudioModule());
		},
};

}
